Package Gnumed :: Package wxpython :: Module gmListWidgets :: Class cGenericListSelectorDlg |
[frames] | no frames]

# Class cGenericListSelectorDlg

source code

                                                         wx.Dialog --+
                                                                     |
    wxGladeWidgets.wxgGenericListSelectorDlg.wxgGenericListSelectorDlg --+
                                                                         |
                                                                        cGenericListSelectorDlg

A dialog holding a list and a few buttons to act on the items.

Instance Methods
__init__(self, *args, **kwargs) | source code
set_columns(self, columns=None) | source code
set_column_widths(self, widths=None) | source code
set_string_items(self, items=None, reshow=True) | source code
set_selections(self, selections=None) | source code
set_data(self, data=None) | source code
get_selected_item_data(self, only_one=False) | source code

Class Variables
| ignore_OK_button = `property(lambda x: x, _set_ignore_OK_button)`
| left_extra_button = `property(lambda x: x, _set_left_extra_button)`
| middle_extra_button = `property(lambda x: x, _set_middle_extra_`...``
| right_extra_button = `property(lambda x: x, _set_right_extra_bu`...``
| new_callback = `property(_get_new_callback, _set_new_callback)`
| edit_callback = `property(_get_edit_callback, _set_edit_callback)`
| delete_callback = `property(_get_delete_callback, _set_delete_c`...``
| refresh_callback = `property(_get_refresh_callback, _set_refres`...``
| select_callback = `property(_get_select_callback, _set_select_c`...``
| list_tooltip_callback = `property(lambda x: x, _set_list_toolti`...``
| message = `property(lambda x: x, _set_message)`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgGenericListSelectorDlg.wxgGenericListSelectorDlg.__init__

Class Variable Details

  ### middle_extra_button Value:
      property(lambda x: x, _set_middle_extra_button)

  ### right_extra_button Value:
      property(lambda x: x, _set_right_extra_button)

  ### delete_callback Value:
      property(_get_delete_callback, _set_delete_callback)

  ### refresh_callback Value:
      property(_get_refresh_callback, _set_refresh_callback)

  ### select_callback Value:
      property(_get_select_callback, _set_select_callback)

  ### list_tooltip_callback Value:
      property(lambda x: x, _set_list_tooltip_callback)